#!/bin/bash
source "${AGENT_PATH}/_common.sh"
_check_required_env_vars "CONTAINER_NAME"

if ! _is_container_running "$CONTAINER_NAME"; then
    _die "Container ${CONTAINER_NAME} is not running. Can't connect to it."
fi

echo "Connecting to ${CONTAINER_NAME}..."

docker exec -it ${CONTAINER_NAME} bash

echo "Disconnected from ${CONTAINER_NAME}"
